////////////////////////////////////////
// Programming project code
// UniBw M, 2022, 2023, 2024
// www.unibw.de/inf2
// (c) Mark Minas (mark.minas@unibw.de)
////////////////////////////////////////

package pp.monopoly.server;

import pp.monopoly.message.client.ClientInterpreter;
import pp.monopoly.message.client.ClientMessage;

record ReceivedMessage(ClientMessage message, int from) {
    void process(ClientInterpreter interpreter) {
        message.accept(interpreter, from);
    }
}
